Module javafx.controls
Package javafx.scene.control

# Class SpinnerValueFactory.IntegerSpinnerValueFactory

java.lang.Object
javafx.scene.control.SpinnerValueFactory<Integer>
javafx.scene.control.SpinnerValueFactory.IntegerSpinnerValueFactory

Enclosing class:
  `SpinnerValueFactory<T>`

public static class SpinnerValueFactory.IntegerSpinnerValueFactory extends SpinnerValueFactory<Integer>
A `SpinnerValueFactory` implementation designed to iterate through integer values.

Note that the default `converter` is implemented as an `IntegerStringConverter` instance.

Since:
  JavaFX 8u40

## Property Summary

Properties
Type
Property
Description
`final IntegerProperty`
`amountToStepBy`
Sets the amount to increment or decrement by, per step.
`final IntegerProperty`
`max`
Sets the maximum allowable value for this value factory
`final IntegerProperty`
`min`
Sets the minimum allowable value for this value factory

### Properties inherited from class javafx.scene.control.SpinnerValueFactory

`converter, value, wrapAround`

## Nested Class Summary

## Nested classes/interfaces inherited from class javafx.scene.control.SpinnerValueFactory

`SpinnerValueFactory.DoubleSpinnerValueFactory, SpinnerValueFactory.IntegerSpinnerValueFactory, SpinnerValueFactory.ListSpinnerValueFactory<T>`

## Constructor Summary

Constructors
Constructor
Description
`IntegerSpinnerValueFactory(int min, int max)`
Constructs a new IntegerSpinnerValueFactory that sets the initial value to be equal to the min value, and a default `amountToStepBy` of one.
`IntegerSpinnerValueFactory(int min, int max, int initialValue)`
Constructs a new IntegerSpinnerValueFactory with a default `amountToStepBy` of one.
`IntegerSpinnerValueFactory(int min, int max, int initialValue, int amountToStepBy)`
Constructs a new IntegerSpinnerValueFactory.

## Method Summary

Modifier and Type
Method
Description
`final IntegerProperty`
`amountToStepByProperty()`
Sets the amount to increment or decrement by, per step.
`void`
`decrement(int steps)`
Attempts to decrement the `value` by the given number of steps.
`final int`
`getAmountToStepBy()`
Gets the value of the `amountToStepBy` property.
`final int`
`getMax()`
Gets the value of the `max` property.
`final int`
`getMin()`
Gets the value of the `min` property.
`void`
`increment(int steps)`
Attempts to omcrement the `value` by the given number of steps.
`final IntegerProperty`
`maxProperty()`
Sets the maximum allowable value for this value factory
`final IntegerProperty`
`minProperty()`
Sets the minimum allowable value for this value factory
`final void`
`setAmountToStepBy(int value)`
Sets the value of the `amountToStepBy` property.
`final void`
`setMax(int value)`
Sets the value of the `max` property.
`final void`
`setMin(int value)`
Sets the value of the `min` property.

### Methods inherited from class javafx.scene.control.SpinnerValueFactory

`converterProperty, getConverter, getValue, isWrapAround, setConverter, setValue, setWrapAround, valueProperty, wrapAroundProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Property Details

### min

public final IntegerProperty minProperty
Sets the minimum allowable value for this value factory

See Also:
  - `minProperty()`

### max

public final IntegerProperty maxProperty
Sets the maximum allowable value for this value factory

See Also:
  - `getMax()`
  - `setMax(int)`
  - `maxProperty()`

### amountToStepBy

public final IntegerProperty amountToStepByProperty
Sets the amount to increment or decrement by, per step.

See Also:
  - `getAmountToStepBy()`
  - `setAmountToStepBy(int)`
  - `amountToStepByProperty()`

## Constructor Details

### IntegerSpinnerValueFactory

public IntegerSpinnerValueFactory(int min, int max)
Constructs a new IntegerSpinnerValueFactory that sets the initial value to be equal to the min value, and a default `amountToStepBy` of one.

Parameters:
  `min` - The minimum allowed integer value for the Spinner.
  `max` - The maximum allowed integer value for the Spinner.

### IntegerSpinnerValueFactory

public IntegerSpinnerValueFactory(int min, int max, int initialValue)
Constructs a new IntegerSpinnerValueFactory with a default `amountToStepBy` of one.

Parameters:
  `min` - The minimum allowed integer value for the Spinner.
  `max` - The maximum allowed integer value for the Spinner.
  `initialValue` - The value of the Spinner when first instantiated, must be within the bounds of the min and max arguments, or else the min value will be used.

### IntegerSpinnerValueFactory

public IntegerSpinnerValueFactory(int min, int max, int initialValue, int amountToStepBy)
Constructs a new IntegerSpinnerValueFactory.

Parameters:
  `min` - The minimum allowed integer value for the Spinner.
  `max` - The maximum allowed integer value for the Spinner.
  `initialValue` - The value of the Spinner when first instantiated, must be within the bounds of the min and max arguments, or else the min value will be used.
  `amountToStepBy` - The amount to increment or decrement by, per step.

## Method Details

### setMin

public final void setMin(int value)
Sets the value of the `min` property.

Property description:
  * Properties * *
Parameters:
  `value` - the value for the `min` property
See Also:
  - `getMin()`
  - `minProperty()`

### getMin

public final int getMin()
Gets the value of the `min` property.

Property description:
  * Properties * *
Returns:
  the value of the `min` property
See Also:
  - `setMin(int)`
  - `minProperty()`

### minProperty

public final IntegerProperty minProperty()
Sets the minimum allowable value for this value factory

Returns:
  the minimum allowable value for this value factory

### setMax

public final void setMax(int value)
Sets the value of the `max` property.

Property description:
  Sets the maximum allowable value for this value factory
Parameters:
  `value` - the value for the `max` property
See Also:
  - `getMax()`
  - `maxProperty()`

### getMax

public final int getMax()
Gets the value of the `max` property.

Property description:
  Sets the maximum allowable value for this value factory
Returns:
  the value of the `max` property
See Also:
  - `setMax(int)`
  - `maxProperty()`

### maxProperty

public final IntegerProperty maxProperty()
Sets the maximum allowable value for this value factory

Returns:
  the maximum allowable value for this value factory
See Also:
  - `getMax()`
  - `setMax(int)`

### setAmountToStepBy

public final void setAmountToStepBy(int value)
Sets the value of the `amountToStepBy` property.

Property description:
  Sets the amount to increment or decrement by, per step.
Parameters:
  `value` - the value for the `amountToStepBy` property
See Also:
  - `getAmountToStepBy()`
  - `amountToStepByProperty()`

### getAmountToStepBy

public final int getAmountToStepBy()
Gets the value of the `amountToStepBy` property.

Property description:
  Sets the amount to increment or decrement by, per step.
Returns:
  the value of the `amountToStepBy` property
See Also:
  - `setAmountToStepBy(int)`
  - `amountToStepByProperty()`

### amountToStepByProperty

public final IntegerProperty amountToStepByProperty()
Sets the amount to increment or decrement by, per step.

Returns:
  the amount to increment or decrement by, per step
See Also:
  - `getAmountToStepBy()`
  - `setAmountToStepBy(int)`

### decrement

public void decrement(int steps)
Attempts to decrement the `value` by the given number of steps.

Specified by:
  `decrement` in class `SpinnerValueFactory<Integer>`
Parameters:
  `steps` - The number of decrements that should be performed on the value.

### increment

public void increment(int steps)
Attempts to omcrement the `value` by the given number of steps.

Specified by:
  `increment` in class `SpinnerValueFactory<Integer>`
Parameters:
  `steps` - The number of increments that should be performed on the value.